public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jupyter-server-terminals/
Date: Tue, 12 Mar 2024 17:51:52 +0000 (UTC)	[thread overview]
Message-ID: <1710265895.276a2d8cad8a2ebb8629f31f29402929340687cf.mgorny@gentoo> (raw)

commit:     276a2d8cad8a2ebb8629f31f29402929340687cf
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 12 16:03:12 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 12 17:51:35 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=276a2d8c

dev-python/jupyter-server-terminals: Bump to 0.5.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jupyter-server-terminals/Manifest       |  1 +
 .../jupyter-server-terminals-0.5.3.ebuild          | 45 ++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/jupyter-server-terminals/Manifest b/dev-python/jupyter-server-terminals/Manifest
index e7d430d0a2ed..c0e554fca55e 100644
--- a/dev-python/jupyter-server-terminals/Manifest
+++ b/dev-python/jupyter-server-terminals/Manifest
@@ -1 +1,2 @@
 DIST jupyter_server_terminals-0.5.2.tar.gz 31168 BLAKE2B 9a99f15b801b3a347ed694ee5c2ed91118d95683523645f326a851c65c7cdb389d5343cd992bbcdde49fe495fbcfd88088ebe5a35350a164313adcfe5d7a08e6 SHA512 333a19e647767e800d93376b45850263350400eed77036ca42637bef48a753696b3d3d3ad5153da40d858a623bb2ee616e636caa77e484a45da46f5f5eb32df0
+DIST jupyter_server_terminals-0.5.3.tar.gz 31430 BLAKE2B 1633bd67b775a5d76870530705d13adea49bd5f583cf93a7cf7e713d8fa75e50012ff5c1bdd9b23ad0f3636347618cf01c04e1c546172dbe1031b507b597fb25 SHA512 dcb9d460b9f2fde1a2614dd202c25329bea5870846d0431af21659ab4fef2ea1671beea73c8f61bffb224984a39eb0b69bac12244426f940d9bc6a82202393c9

diff --git a/dev-python/jupyter-server-terminals/jupyter-server-terminals-0.5.3.ebuild b/dev-python/jupyter-server-terminals/jupyter-server-terminals-0.5.3.ebuild
new file mode 100644
index 000000000000..ca60468dcee9
--- /dev/null
+++ b/dev-python/jupyter-server-terminals/jupyter-server-terminals-0.5.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Jupyter Server Extension Providing Terminals"
+HOMEPAGE="
+	https://jupyter.org/
+	https://github.com/jupyter-server/jupyter_server_terminals/
+	https://pypi.org/project/jupyter-server-terminals/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	dev-python/terminado[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+	test? (
+		dev-python/jupyter-server[${PYTHON_USEDEP}]
+		dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+		dev-python/pytest-timeout[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_DESELECT=(
+	# Fails if shell is not bash
+	tests/test_terminal.py::test_terminal_create_with_cwd
+	tests/test_terminal.py::test_terminal_create_with_relative_cwd
+)
+
+distutils_enable_tests pytest
+
+python_install_all() {
+	distutils-r1_python_install_all
+	mv "${ED}/usr/etc" "${ED}/etc" || die
+}


             reply	other threads:[~2024-03-12 17:51 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-12 17:51 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-07 12:45 [gentoo-commits] repo/gentoo:master commit in: dev-python/jupyter-server-terminals/ Michał Górny
2024-07-12 10:36 Michał Górny
2024-03-30 14:59 Michał Górny
2024-03-30 14:53 Michał Górny
2024-02-08 14:48 Michał Górny
2024-02-08 14:43 Michał Górny
2024-01-23  4:39 Michał Górny
2024-01-13 10:04 Michał Górny
2024-01-13  9:36 Arthur Zamarin
2023-12-27  4:33 Michał Górny
2023-12-11 17:42 Michał Górny
2023-11-20 15:02 Michał Górny
2023-10-24 18:44 Michał Górny
2023-03-15 21:19 Arthur Zamarin
2023-03-15 21:19 Arthur Zamarin
2023-03-11 17:44 Arthur Zamarin
2023-03-11 17:24 Sam James
2023-03-11 16:50 Arthur Zamarin
2023-03-11 16:50 Arthur Zamarin
2023-03-11 16:00 Sam James
2023-03-11 16:00 Sam James
2023-03-08 14:39 WANG Xuerui
2023-03-08  9:00 Arthur Zamarin
2023-03-08  8:59 Arthur Zamarin
2023-03-08  2:10 Yixun Lan
2023-03-07 13:11 Arthur Zamarin
2023-03-07 13:11 Arthur Zamarin
2023-03-07 11:42 Sam James
2023-03-04 18:13 Arthur Zamarin
2023-03-04 18:13 Arthur Zamarin
2023-03-04 17:49 Arthur Zamarin
2023-02-13 12:36 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1710265895.276a2d8cad8a2ebb8629f31f29402929340687cf.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox